
Application: gvSIG desktop - gvSIG bugs #957
Union of multigeometry/dxf layer with selected records and save in temporary file doesn't works
08/06/2012 02:14 PM - María Maluenda

Status: New % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:
Category: Geoprocess
Target version:
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2217 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.-Open gvsig
2.-Add new view
3.-Add layer--> geodata/vector/DXF/V0813_LaRioja_1.dxf
4.-Add layer--> geodata/vector/DXF/V0813_LaRioja_2.dxf
5.-Click on 'Union' from gvSIG geoprocessing tools
6.-Select 'Input cover'-->geodata/vector/DXF/V0813_LaRioja_1.dxf
7.-Select 'Overlay layer'-->geodata/vector/DXF/V0813_LaRioja_2.dxf
8.-Save to temporary file
9.-Check 'Fit to input layers' option appears by default in 'Output region' flange
10.-Click Ok
The Union isn't  created
----------------------------
1.-Abrir gvSIG
2.-Abrir nueva Vista
3.-Añadir la capa dxf --> geodata/vector/DXF/V0813_LaRioja_1.dxf 
4.- Añadir la capa dxf-->geodata/vector/DXF/V0813_LaRioja_2.dxf 
5.-Clic en el geoproceso de gvSIG: Union
6.-Capa de entrada: geodata/vector/DXF/V0813_LaRioja_1.dxf 
7.-Capa de superposición: geodata/vector/DXF/V0813_LaRioja_2.dxf 
8.-Comprobar que está seleccionada la opción 'Ajustar a datos de entrada' en la pestaña 'Región de Análisis'
9.-Guardar en archivo temporal
10.-Clic en Aceptar
La Unión no se crea

History
#1 - 10/05/2012 12:41 PM - Vicent Domenech
- Target version set to 2.0.0-rc1

#2 - 10/16/2012 10:18 AM - Vicent Domenech

We have the same problem saving the file in a selected file, but in this case one "Null_layer" is created.

#3 - 10/22/2012 06:05 PM - Manuel Madrid
- Priority changed from Normal to Low

#4 - 12/07/2012 01:47 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#5 - 12/15/2012 06:37 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#6 - 01/13/2014 07:35 PM - Álvaro Anguix

Manuel, ¿lo puedes comprobar si tienes acceso a esos 2 dxf?
Yo lo he probado con otras capas y la unión sí me la ha hecho (en el build 2216)

#7 - 01/13/2014 08:13 PM - Álvaro Anguix
- Assignee set to Manuel Madrid

#8 - 01/16/2014 01:23 PM - Álvaro Anguix
- Status changed from New to Awaiting response

#9 - 01/19/2014 06:13 PM - Manuel Madrid
- File V0813_LaRioja_1.dxf added
- File V0813_LaRioja_2.dxf added
- Status changed from Awaiting response to New

Adjunto los ficheros DXF. He probado con el build 2216 con estos resultados:
- Cuando la salida es a fichero temporal el geoproceso no hace nada.
- Con salida a fichero ha generado una sola capa de polígonos vacía.

Una duda: ¿Por qué pueden configurarse dos ficheros de salida distintos?

#10 - 01/19/2014 11:25 PM - Álvaro Anguix
- Assignee changed from Manuel Madrid to Ignacio Brodín

#11 - 01/29/2014 10:43 AM - Álvaro Anguix
- Target version set to 2.1.0-2221-testing
- gvSIG version changed from 2.0.0 to 2.1.0
- gvSIG build changed from 2049 to 2217

#12 - 01/31/2014 07:54 AM - Álvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.1.0-2219-testing

#13 - 02/17/2014 08:39 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#14 - 03/07/2014 09:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2221-testing to 2.1.0-2222-testing

#15 - 03/14/2014 04:33 PM - Álvaro Anguix
- Target version changed from 2.1.0-2222-testing to 2.2.0-2311-rc2
#16 - 04/04/2014 10:37 AM - Álvaro Anguix
- Assignee deleted (Ignacio Brodín)

#17 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

Files
V0813_LaRioja_1.dxf 1.27 MB 01/19/2014 Manuel Madrid
V0813_LaRioja_2.dxf 2.5 MB 01/19/2014 Manuel Madrid
